For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETlist phone numbers
      • POSTprovision a phone number into inventory from a Voip Carrier
      • GETretrieve phone number
      • PUTupdate phone number
      • DELdelete a phone number
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementPhone Numbers

provision a phone number into inventory from a Voip Carrier

POST
https://api.jambonz.cloud/v1/PhoneNumbers
POST
/v1/PhoneNumbers
$curl -X POST https://api.jambonz.cloud/v1/PhoneNumbers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "number": "+14155552671",
> "voip_carrier_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
>}'
1{
2 "sid": "9d26a637-1679-471f-8da8-7150266e1254"
3}
Was this page helpful?
Previous

retrieve phone number

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
numberstringRequired
telephone number
voip_carrier_sidstringRequiredformat: "uuid"
account_sidstringOptionalformat: "uuid"
application_sidstringOptionalformat: "uuid"

Response

phone number successfully provisioned
sidstring

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error